Create message
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/chat/inbound/http.go`.
/v1/messagesRequires an authenticated tenant principal. Generated from the production route registered in internal/features/chat/inbound/http.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/messages" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "max_tokens": 1, "messages": [ {} ] }'{}Set setting
Requires organization-administrator authority. Generated from the production route registered in `internal/features/conversations/inbound/http.go`.
Count message tokens
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/chat/inbound/http.go`.